#ifndef PKMNLIB_WASMSPECIESREGISTRY_HPP
#define PKMNLIB_WASMSPECIESREGISTRY_HPP
#include <Arbutils/Collections/Dictionary.hpp>
#include <wasm.h>

class WebAssemblyScriptResolver;

class WASMSpeciesRegistry {
public:
    static void Register(ArbUt::Dictionary<std::string, wasm_func_t*>& externs,
                         WebAssemblyScriptResolver* resolver);
};

#endif // PKMNLIB_WASMSPECIESREGISTRY_HPP
